package xunji_service

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/xunji_service"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /xunji_service/create xunji_service CreateXunjiService
//
// Create xunji service information | 创建XunjiService
//
// Create xunji service information | 创建XunjiService
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: XunjiServiceInfo
//
// Responses:
//  200: BaseMsgResp

func CreateXunjiServiceHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.XunjiServiceInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := xunji_service.NewCreateXunjiServiceLogic(r.Context(), svcCtx)
		resp, err := l.CreateXunjiService(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
